<!DOCTYPE html>
<html>
	<head>
		<title>Task 1</title>
	</head>
	<body>
		<h1>Teacher`s Form </h1>
		<form action="/action_page.php">
			<fieldset>
				<legend>Teacher`s form</legend>
					<label for="fname">First name:</label>
					<input type="text" id="fname" name="fname" autofocus required><br><br>
					<label for="lname">Last name:</label>
					<input type="text" id="lname" name="lname"required><br><br>
					<label for="gender">Gender:</label>
					<select id="gender" name="gender">
						<option value="male">Male</option>
						<option value="female">Female</option>
						<option value="other">Other</option>
					</select><br><br>
					<label for="bday">Date of birth:</label>
					<input type="date" id="bday" name="bday" required><br><br>
					<label for="mail">Email:</label>
					<input type="email" id="mail" name="mail" pattern="[a-z]@[a-z].[a-z]" required><br><br>
					<label for="phone">Phone number:</label>
					<input type="tel" id="phone" name="phone" pattern="+[0-9]{3}-[0-9]{2}-[0-9]{3}-[0-9]{2}-[0-9]{2}" required><br><br>
					<label for="col">Select background color:</label>
					<input type="color" id="col" name="col"><br><br>
					<label for="country">Country:</label>
					<input type="text" id="country" name="country" required><br><br>
					<label for="city">City:</label>
					<input type="text" id="city" name="city" required><br><br>
					<label for="com">Comment:</label>
					<textarea id="com" name="com" placeholder="Type comment here"></textarea><br><br>
					<input type="submit" value="Submit">
				</fieldset>
		</form>
	</body>
</html>